/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.dom.vehicle;

import org.nakedobjects.applib.adapters.AbstractValueSemanticsProvider;
import org.nakedobjects.applib.adapters.Parser;


public class RegistrationNumberValueSemanticsProvider extends
        AbstractValueSemanticsProvider<RegistrationNumber> {
    @Override
    public Parser<RegistrationNumber> getParser() {
        return new Parser<RegistrationNumber>() {
            public RegistrationNumber parseTextEntry(
                    RegistrationNumber context, String entry) {
                return new RegistrationNumber(entry);
            }
            public String displayTitleOf(RegistrationNumber object) {
                return object.getValue();
            }
            public String displayTitleOf(RegistrationNumber object, 
                                         String usingMask) {
                return displayTitleOf(object);
            }
            public String parseableTitleOf(
                                    RegistrationNumber existing) {
                return displayTitleOf(existing);
            }
            public int typicalLength() {
                return 8;
            }
        };
    }
}

